> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TDS return e-filing status

> Check e-filing status and download the filing receipt.

Use the `job_id` from the create response. When `data.status` is `succeeded`, download the receipt from `data.receipt_file_url`. If the job fails, check `data.message`.

HTTP 200 means the status request succeeded. Check `data.status` for the filing result.


## OpenAPI

````yaml api-reference/tds/compliance/openapi.json GET /tds/compliance/e-file
openapi: 3.1.0
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
tags:
  - name: TDS Compliance Check
  - name: Download CSI
  - name: FVU Generation
  - name: E-File TDS Return
  - name: TDS
  - name: TDS Certificate
  - name: TRACES Credentials
paths:
  /tds/compliance/e-file:
    get:
      tags:
        - E-File TDS Return
      summary: Get TDS return e-filing status
      description: >-
        Returns the e-filing status for `job_id`. On success, `data` contains
        the receipt, FVU, and Form 27A download URLs. On failure, read
        `data.message`. HTTP 200 does not mean the job succeeded.
      parameters:
        - name: job_id
          in: query
          description: Job ID returned when the job was created.
          required: true
          example: '{{job_id}}'
          schema:
            type: string
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: '{{access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Job Queued
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                            description: Job ID used to check status.
                          tan:
                            type: string
                          tax_year:
                            type: string
                            description: Tax Year (e.g. TY 2026-27)
                            examples:
                              - TY 2026-27
                            pattern: ^TY [0-9]{4}-[0-9]{2}$
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                  - title: Job Succeeded
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                            description: Job ID used to check status.
                          tan:
                            type: string
                          tax_year:
                            type: string
                            description: Tax Year (e.g. TY 2026-27)
                            examples:
                              - TY 2026-27
                            pattern: ^TY [0-9]{4}-[0-9]{2}$
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          receipt_number:
                            type: integer
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          receipt_file_url:
                            type: string
                            format: uri
                            description: >-
                              Download URL for the filing receipt after the
                              e-filing job succeeds.
                          fvu_file_url:
                            type: string
                            format: uri
                            description: >-
                              Download URL for the FVU file associated with the
                              filing.
                          form27a_file_url:
                            type: string
                            format: uri
                            description: >-
                              Download URL for Form 27A associated with the
                              filing.
                  - title: Job Failed
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                            description: Job ID used to check status.
                          tan:
                            type: string
                          tax_year:
                            type: string
                            description: Tax Year (e.g. TY 2026-27)
                            examples:
                              - TY 2026-27
                            pattern: ^TY [0-9]{4}-[0-9]{2}$
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          message:
                            type: string
                            description: Reason for the job failure.
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
              examples:
                200 Job Succeeded:
                  summary: 200 Job Succeeded
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: f845f37e-7f05-4de9-a282-a3b23b9d370a
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      filing_type: regular
                      status: succeeded
                      receipt_number: 123456789012345
                      created_at: 1763362637000
                      updated_at: 1763362637000
                      receipt_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/140/4049c226-4988-4978-b5ad-d25705453da8/receipt.pdf
                      fvu_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/140/4049c226-4988-4978-b5ad-d25705453da8/140.fvu
                      form27a_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/140/4049c226-4988-4978-b5ad-d25705453da8/form27A_140.pdf
                200 Job Queued:
                  summary: 200 Job Queued
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 2aa54d2b-68f6-4871-866a-4eba957a8672
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      filing_type: original
                      status: queued
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Statement furnished':
                  summary: '200 Job Failed: Statement furnished'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6e8d1908-c062-4846-a811-8f73054acd65
                      tan: MUMR09719B
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      filing_type: original
                      status: failed
                      message: >-
                        Regular Statement with the same TAN, Tax Year, FORM and
                        Quarter is already furnished
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Unacceptable fvu':
                  summary: '200 Job Failed: Unacceptable fvu'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d75c3d26-4f81-451f-ab38-e217ea801ea1
                      tan: AABC23456D
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '144'
                      filing_type: original
                      status: failed
                      message: Unacceptable FVU
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Invalid archive':
                  summary: '200 Job Failed: Invalid archive'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d1213059-ec22-4e10-b0c1-a91814377001
                      tan: PDES03028E
                      tax_year: TY 2026-27
                      quarter: Q4
                      form: '140'
                      filing_type: original
                      status: failed
                      message: Invalid Archive
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Form type mismatch':
                  summary: '200 Job Failed: Form type mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: d6f5b340-440b-400c-9b86-16e691e768b0
                      tan: HYDC23456G
                      tax_year: TY 2026-27
                      quarter: Q4
                      form: '138'
                      filing_type: original
                      status: failed
                      message: Form Type Mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Quarter mismatch':
                  summary: '200 Job Failed: Quarter mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7a62876a-d638-430c-ad77-8fe33d9e63d5
                      tan: MUMC23456H
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      filing_type: original
                      status: failed
                      message: Quarter mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Barcode mismatch':
                  summary: '200 Job Failed: Barcode mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 6b11d176-b3c5-483c-9052-b533a6e92377
                      tan: DELC23456I
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '144'
                      filing_type: original
                      status: failed
                      message: Barcode mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Invalid number of entries in archive':
                  summary: '200 Job Failed: Invalid number of entries in archive'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 3b979ce9-ef4e-4157-a4a3-51e8747e76d7
                      tan: BLRC23456F
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      filing_type: original
                      status: failed
                      message: 'Invalid Number of entries in Archive: 1'
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Tax year mismatch':
                  summary: '200 Job Failed: Tax year mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 7928082e-34ca-474c-ba05-4ede9598b9b5
                      tan: PUNC23456J
                      tax_year: TY 2026-27
                      form: '138'
                      quarter: Q4
                      filing_type: original
                      status: failed
                      message: Tax year mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: TAN mismatch':
                  summary: '200 Job Failed: TAN mismatch'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 5fd2679f-040f-435c-a285-df5817a150b5
                      tan: KOLT23456K
                      tax_year: TY 2026-27
                      quarter: Q2
                      form: '140'
                      filing_type: original
                      status: failed
                      message: TAN mismatch
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: Form27A missing':
                  summary: '200 Job Failed: Form27A missing'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: b411fbee-68e4-4da3-9f62-8de8ca09a74c
                      tan: CABC23456M
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '140'
                      filing_type: original
                      status: failed
                      message: Form 27A missing
                      created_at: 1763362637000
                      updated_at: 1763362637000
                '200 Job Failed: FVU missing':
                  summary: '200 Job Failed: FVU missing'
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.e-file.job
                      job_id: 9bf0b6f8-5957-484f-9aea-0d235054974c
                      tan: BABC23456L
                      tax_year: TY 2026-27
                      quarter: Q1
                      form: '140'
                      filing_type: original
                      status: failed
                      message: FVU missing
                      created_at: 1763362637000
                      updated_at: 1763362637000
          headers: {}
        '521':
          description: 521 - Data Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
                    description: Reason for the job failure.
              examples:
                521 Data not found:
                  summary: 521 Data not found
                  value:
                    code: 521
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: Data not found
          headers: {}
      deprecated: false
      security: []

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.